boost::geometry::strategy::distance::pythagoras_box_box< CalculationType > Class Template Reference

Strategy to calculate the distance between two boxes. More...

List of all members.

## Classes

struct | calculation_type

## Static Public Member Functions

template<typename Box1 , typename Box2 >
static calculation_type< Box1, Box2 >::type | apply (Box1 const &box1, Box2 const &box2)
| applies the distance calculation using pythagoras_box_box

## Detailed Description

### template<typename CalculationType = void>
class boost::geometry::strategy::distance::pythagoras_box_box< CalculationType >

Strategy to calculate the distance between two boxes.

Template Parameters:

  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

## Member Function Documentation

template<typename CalculationType = void>
template<typename Box1 , typename Box2 >

static calculation_type<Box1, Box2>::type boost::geometry::strategy::distance::pythagoras_box_box< CalculationType >::apply | ( | Box1 const & | box1,
|  | Box2 const & | box2
| ) |  | `[static]`

applies the distance calculation using pythagoras_box_box

Returns:
  the calculated distance (including taking the square root)

Parameters:

  box1 | first box
  box2 | second box

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK